> ## Documentation Index
> Fetch the complete documentation index at: https://togetherai-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job Status

> Get the status of a specific job



## OpenAPI

````yaml GET /jobs/{jobId}
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. Please see https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.xyz/v1
security:
  - bearerAuth: []
paths:
  /jobs/{jobId}:
    get:
      tags:
        - Jobs
      summary: Get job status
      description: Get the status of a specific job
      operationId: getJob
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the job to retrieve
          example: job-a15dad11-8d8e-4007-97c5-a211304de284
      responses:
        '200':
          description: Job status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - type
                  - job_id
                  - status
                  - status_updates
                  - args
                  - created_at
                  - updated_at
                properties:
                  type:
                    type: string
                    example: model_upload
                  job_id:
                    type: string
                    example: job-a15dad11-8d8e-4007-97c5-a211304de284
                  status:
                    type: string
                    enum:
                      - Queued
                      - Running
                      - Complete
                      - Failed
                    example: Complete
                  status_updates:
                    type: array
                    items:
                      type: object
                      required:
                        - status
                        - message
                        - timestamp
                      properties:
                        status:
                          type: string
                          example: Complete
                        message:
                          type: string
                          example: Job is Complete
                        timestamp:
                          type: string
                          format: date-time
                          example: '2025-03-11T22:36:12Z'
                  args:
                    type: object
                    properties:
                      description:
                        type: string
                        example: Finetuned Qwen2.5-72B-Instruct by Unsloth
                      modelName:
                        type: string
                        example: necolinehubner/Qwen2.5-72B-Instruct
                      modelSource:
                        type: string
                        example: unsloth/Qwen2.5-72B-Instruct
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-03-11T22:05:43Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-03-11T22:36:12Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````